−


External Sharing

External sharing is sharing files and folders with external users.

One way to share data externally in WorkDrive is through custom share links.

When shared via a custom shared link, users can set passwords and expiration dates, allow or disallow downloads, and even request User information for the shared link to help restrict access and track activity.

Download External Sharing OpenAPI Document
Download






Get External Share Link Info

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches information about an external share link.

One can find the following information:

  • Name of the external share link created.
  • Name of the user who created the external share link.
  • Created date and time.

Endpoints

get https://www.zohoapis.com/workdrive/api/v1/links/{link_id}

Copy full URL

OAuth Scope

WorkDrive.links.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/links/{link_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'
header = Map();
header.put("Accept","application/vnd.api+json");
response = invokeurl
[
url : "https://www.zohoapis.com/workdrive/api/v1/links/{link_id}"
type : GET
headers : header
connection : "wdconnection"
];
info response;

Path Parameters

link_idstring(Required)

The unique ID of the shared link

Response Example

R008

F000

200
200
401
500
Copied!
  {
    "data": {
      "id": "3iWUoMURXKC-OCgNc",
      "type": "links",
      "attributes": {
        "modified_time_i18": "Apr 13, 1:16 PM",
        "created_time": "Apr 13, 1:16 PM",
        "link": "https://workdrive.zohoexternal.com/external/3iWUoMURXKC-OCgNc",
        "input_fields": [],
        "type": "folder",
        "can_display_profile": false,
        "created_by": "Zylker Creation",
        "use_shorten_link": false,
        "created_time_i18": "Apr 13, 1:16 PM",
        "allow_download": true,
        "request_user_data": false,
        "link_type": "custom",
        "modified_time": "Apr 13, 1:16 PM",
        "is_expired": false,
        "role_id": 34,
        "download_url": "https://workdrive.zohoexternal.com/external/3iWUoMURXKC-OCgNc/download",
        "is_password_protected": false,
        "modified_by": "Zylker Creation",
        "resource_id": "cjrrr81bad43595d94a5bbbb4ea1589ef9236",
        "created_time_in_millis": 1618299960679,
        "link_name": "notes",
        "modified_time_in_millis": 1618299960679,
        "status": 1
      },
      "relationships": {
        "password": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/relationships/password",
            "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/password"
          }
        },
        "report": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/relationships/report",
            "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/report"
          }
        },
        "timeline": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/relationships/timeline",
            "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/timeline"
          }
        },
        "register": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/relationships/register",
            "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc/register"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKC-OCgNc"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
▼ Show full

© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.